summaryrefslogtreecommitdiffstats
path: root/source/l/libdiscid
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-05-05 22:49:16 +0000
committer Eric Hameleers <alien@slackware.com>2023-05-06 01:34:25 +0200
commit72f681b77168635fc81a4c5398bab11630a5cb9d (patch)
treed13c3bdbb250df91fe2962f0e27e8e389b7e8c18 /source/l/libdiscid
parent59283087f9d1a87a81cb0014d55fb5b2cc5ba08c (diff)
downloadcurrent-72f681b77168635fc81a4c5398bab11630a5cb9d.tar.gz
current-72f681b77168635fc81a4c5398bab11630a5cb9d.tar.xz
Fri May 5 22:49:16 UTC 202320230505224916
ap/at-3.2.5-x86_64-1.txz: Upgraded. l/babl-0.1.106-x86_64-1.txz: Upgraded. l/libdiscid-0.6.4-x86_64-2.txz: Rebuilt. Patched to fix pkgconfig file. Thanks to ponce. tcl/tclx-8.6.1-x86_64-1.txz: Upgraded. x/libevdev-1.13.1-x86_64-1.txz: Upgraded. x/xcalc-1.1.2-x86_64-1.txz: Upgraded. testing/packages/gcc-13.1.0-x86_64-2.txz: Rebuilt. testing/packages/gcc-g++-13.1.0-x86_64-2.txz: Rebuilt. testing/packages/gcc-gdc-13.1.0-x86_64-2.txz: Rebuilt. testing/packages/gcc-gfortran-13.1.0-x86_64-2.txz: Rebuilt. testing/packages/gcc-gm2-13.1.0-x86_64-2.txz: Added. testing/packages/gcc-gnat-13.1.0-x86_64-2.txz: Rebuilt. testing/packages/gcc-go-13.1.0-x86_64-2.txz: Rebuilt. testing/packages/gcc-objc-13.1.0-x86_64-2.txz: Rebuilt.
Diffstat (limited to 'source/l/libdiscid')
-rw-r--r--source/l/libdiscid/b89c145.patch28
-rwxr-xr-xsource/l/libdiscid/libdiscid.SlackBuild7
2 files changed, 33 insertions, 2 deletions
diff --git a/source/l/libdiscid/b89c145.patch b/source/l/libdiscid/b89c145.patch
new file mode 100644
index 000000000..528af5721
--- /dev/null
+++ b/source/l/libdiscid/b89c145.patch
@@ -0,0 +1,28 @@
+From b89c14599fd8798eef64431bb05e8705aaaea683 Mon Sep 17 00:00:00 2001
+From: Emanuel Haupt <ehaupt@critical.ch>
+Date: Mon, 6 Mar 2023 10:42:33 +0100
+Subject: [PATCH] Restore includedir and libdir
+
+Restore includedir and libdir. This was removed some time between 0.6.2 and 0.6.3 [1] causing pkg-config --libs and --ldflags to report empty -I and -L paths.
+
+[1] https://github.com/metabrainz/libdiscid/compare/v0.6.2...v0.6.3
+
+See also:
+https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=269990
+---
+ CMakeLists.txt | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 1f24916..911bf4a 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -38,6 +38,8 @@ SET(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR} CACHE PATH "Installatio
+ SET(PACKAGE ${PROJECT_NAME})
+ SET(VERSION ${PROJECT_VERSION})
+ SET(PACKAGE_STRING "${PACKAGE} ${VERSION}")
++SET(includedir ${INCLUDE_INSTALL_DIR})
++SET(libdir ${LIB_INSTALL_DIR})
+
+ CONFIGURE_FILE(libdiscid.pc.in libdiscid.pc)
+ CONFIGURE_FILE(versioninfo.rc.in versioninfo.rc)
diff --git a/source/l/libdiscid/libdiscid.SlackBuild b/source/l/libdiscid/libdiscid.SlackBuild
index 4bf74517b..613ce870f 100755
--- a/source/l/libdiscid/libdiscid.SlackBuild
+++ b/source/l/libdiscid/libdiscid.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2010 Eric Hameleers, Eindhoven, NL
-# Copyright 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2010, 2018, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libdiscid
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -79,6 +79,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Fix pkgconfig file:
+zcat $CWD/b89c145.patch.gz | patch -p1 --verbose || exit 1
+
mkdir build
cd build
cmake \